FullWrtTextInternal::LineHeader Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
FullWrtTextInternal::LineHeader Struct Reference

Internal: class to store the LineHeader. More...

## Public Member Functions
| LineHeader ()
| Constructor.
float | height () const
| try to find the line height using m_height or m_prevHeight

## Public Attributes
int | m_numChar
| the number of char
MWAWFont | m_font
| the font
bool | m_fontSet
| a flag to know if the font is set
float | m_height
| the line height in point ( if known)
float | m_prevHeight
| the previous line height in point ( if known)
MWAWVariable< double > | m_textIndent
| the text indent in inches ( if known)
std::string | m_extra
| extra data

## Friends
std::ostream & | operator<< (std::ostream &o, LineHeader const &line)
| operator<<

## Detailed Description

Internal: class to store the LineHeader.

## Constructor & Destructor Documentation

## ◆ LineHeader()

FullWrtTextInternal::LineHeader::LineHeader | ( |  | ) |
| inline

Constructor.

## Member Function Documentation

## ◆ height()

float FullWrtTextInternal::LineHeader::height | ( |  | ) | const
| inline

try to find the line height using m_height or m_prevHeight

Referenced by FullWrtText::send(), and FullWrtText::sendTable().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | LineHeader const & | line
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_extra

std::string FullWrtTextInternal::LineHeader::m_extra

extra data

Referenced by FullWrtText::readLineHeader().

## ◆ m_font

MWAWFont FullWrtTextInternal::LineHeader::m_font

the font

Referenced by FullWrtText::readLineHeader(), and FullWrtText::send().

## ◆ m_fontSet

bool FullWrtTextInternal::LineHeader::m_fontSet

a flag to know if the font is set

Referenced by FullWrtText::readLineHeader(), and FullWrtText::send().

## ◆ m_height

float FullWrtTextInternal::LineHeader::m_height

the line height in point ( if known)

Referenced by height(), and FullWrtText::readLineHeader().

## ◆ m_numChar

int FullWrtTextInternal::LineHeader::m_numChar

the number of char

Referenced by FullWrtText::readLineHeader(), FullWrtText::send(), and FullWrtText::sendTable().

## ◆ m_prevHeight

float FullWrtTextInternal::LineHeader::m_prevHeight

the previous line height in point ( if known)

Referenced by height(), and FullWrtText::send().

## ◆ m_textIndent

MWAWVariable<double> FullWrtTextInternal::LineHeader::m_textIndent

the text indent in inches ( if known)

Referenced by FullWrtText::readLineHeader().

The documentation for this struct was generated from the following file:

- FullWrtText.cxx